r77612 - /scripts/gen-mrconfig.sh
gregoa at users.alioth.debian.org
gregoa at users.alioth.debian.org
Tue Jul 19 16:13:37 UTC 2011
Author: gregoa
Date: Tue Jul 19 16:13:35 2011
New Revision: 77612
URL: http://svn.debian.org/wsvn/?sc=1&rev=77612
Log:
add first version of gen-mrconfig.sh; intended to be run from cgi-bin
Added:
scripts/gen-mrconfig.sh (with props)
Added: scripts/gen-mrconfig.sh
URL: http://svn.debian.org/wsvn/scripts/gen-mrconfig.sh?rev=77612&op=file
==============================================================================
--- scripts/gen-mrconfig.sh (added)
+++ scripts/gen-mrconfig.sh Tue Jul 19 16:13:35 2011
@@ -1,0 +1,45 @@
+#!/bin/sh
+
+# stolen from the ruby and ocaml guys
+
+set -e
+
+msg() {
+ echo "I: $1"
+}
+
+output() {
+ echo "$1"
+}
+
+#msg "Retreiving package list"
+
+# Packages hosted in Git
+GIT_REPODIR="/git/pkg-perl/packages/"
+GIT_PKGS=$(ls -1 $GIT_REPODIR | sed 's/.git$//')
+
+# cgi
+output "Content-type: text/plain\n"
+
+#msg "Generating mrconfig file in $OUTPUT"
+
+# Setting up mr lib
+output "[DEFAULT]
+lib=
+ msg () {
+ echo \"I: \$1\"
+ }
+ git_checkout () {
+ git clone git+ssh://git.debian.org$GIT_REPODIR\$1.git &&
+ cd \$1 &&
+ { git branch --track upstream remotes/origin/upstream || true; } &&
+ { git branch --track pristine-tar remotes/origin/pristine-tar || true; }
+ }
+"
+
+# Sections for Git repositories
+for i in $GIT_PKGS; do
+ output "[packages/$i]
+checkout = git_checkout $i
+"
+done
Propchange: scripts/gen-mrconfig.sh
------------------------------------------------------------------------------
svn:executable = *
More information about the Pkg-perl-cvs-commits
mailing list